leaves <- read.table("http://ashipunov.info/data/leaves.txt", h=T)
control <- leaves[,2] - leaves[,1]
exp <- leaves[,4] - leaves[,3]
t.test(control, exp)

boxplot(extra ~ group, data=sleep)
t.test(extra ~ group, data=sleep)

leaves12 <- stack(leaves[,1:2])
boxplot(values ~ ind, data=leaves12)
t.test(values ~ ind, data=leaves12, paired=T)

air15 <- unstack(airquality[,c(1,5)])
source("http://ashipunov.info/data/normality3.r")
Normality3(air15)

boxplot(Ozone ~ Month, data=airquality, subset=Month %in% c(5,8))
wilcox.test(Ozone ~ Month, data=airquality, subset=Month %in% c(5,8))

peas <- c("white","pink","pink","white","pink","pink","white")
table(peas)

with(airquality, table(cut(Temp, quantile(Temp))))
with(airquality, table(cut(Temp, quantile(Temp)), Month))

d <- factor(rep(c("A","B","C"), 10))
is.na(d) <- 3:4
table(d)
table(d, exclude=NULL)

ftable(Titanic, row.vars=1:3)
margin.table(Titanic, c(1,4))
mosaicplot(margin.table(Titanic, c(1,4)))
mosaicplot(with(airquality, table(cut(Temp, quantile(Temp)), Month)))
margin.table(Titanic, c(1,4))
t(margin.table(Titanic, c(1,4)))
mosaicplot(with(airquality, t(table(cut(Temp, quantile(Temp)), Month))))

chisq.test(margin.table(Titanic, c(1,4)))
chisq.test(table(peas))

margin.table(HairEyeColor, 1:2)
chisq.test(margin.table(HairEyeColor, 1:2))
margin.table(HairEyeColor, 2:3)
chisq.test(margin.table(HairEyeColor, 2:3))

assocplot(margin.table(HairEyeColor, 2:3))
assocplot(margin.table(HairEyeColor, 1:2))
assocplot(margin.table(Titanic, c(1,4)))
