oldpar <- par(mfrow=c(3,3))
set.seed(101)
for (i in 1:9) plot(1:50, rnorm(50), xlab="Fitted", ylab="Residuals")
par(oldpar)

oldpar <- par(mfrow=c(3,3))
set.seed(102)
for (i in 1:9) plot(1:50, (1:50)*rnorm(50), xlab="Fitted", ylab="Residuals")
par(oldpar)

women.lm1 <- lm(weight ~ height, data=women)
plot(women.lm1, which=1)
women.lm2 <- lm(weight ~ height + I(height^2), data=women)
summary(women.lm2)
plot(women.lm2, which=1)

gdp2010 <-read.table("http://ashipunov.info/data/gdp2010.txt", h=T, sep="\t")
str(gdp2010)
mg <- data.frame(murder=USArrests$Murder, gdp=gdp2010$GDP)
mg.lm <- lm(murder ~ gdp, data=mg)
summary(mg.lm)
plot(mg.lm)
row.names(gdp2010)[2]
row.names(gdp2010)[24]
row.names(gdp2010)[12]

plot(murder ~ gdp, data=mg)
abline(mg.lm)
new.points <- seq(min(mg$gdp), max(mg$gdp), length.out=50)
new.frame <- data.frame(gdp=new.points)
pred.points <- predict(mg.lm, int="c", newdata=new.frame)
matlines(new.points, pred.points)
# identify(mg$gdp, mg$murder, labels=row.names(gdp2010)) # interactive command

ipo <- read.table("http://ashipunov.info/data/ipomopsis.txt", h=T)
str(ipo)
with(ipo, plot(Root, Fruit, pch=as.numeric(Grazing)))
abline(lm(Fruit ~ Root, data=subset(ipo, Grazing=="Grazed")))
abline(lm(Fruit ~ Root, data=subset(ipo, Grazing=="Ungrazed")), lty=2)
legend("topleft", lty=1:2, legend=c("Grazed","Ungrazed"))

ipo.lm <- lm(Fruit ~ Root * Grazing, data=ipo)
summary(ipo.lm)
