cplants <- read.table("http://ashipunov.info/data/cplants.txt", sep="\t", quote="", as.is=T)
str(cplants)
# install.packages("wordcloud")
library(wordcloud)
cfams <- data.frame(table(cplants$V3))
set.seed(5); wordcloud(cfams[,1], cfams[,2])

lo <- read.table("http://ashipunov.info/data/logit.txt")
lo
table(lo)
lo.logit <- glm(formula=V2 ~ V1, family=binomial, data=lo)
summary(lo.logit)

tox <- read.table("http://ashipunov.info/data/tox.txt", h=T)
str(tox)
tox.logit <- glm(formula=I(2-ILL) ~ CAESAR + TOMATO, family=binomial, data=tox)
tox.logit2 <- update(tox.logit, . ~ . - TOMATO)
tox.logit3 <- update(tox.logit, . ~ . - CAESAR)
tox.logit$aic
tox.logit2$aic
tox.logit3$aic
summary(tox.logit2)

new.points <- seq(min(lo$V1), max(lo$V1), length.out=14)
pred.points <- predict(lo.logit, list(V1=new.points), type="response")
success <- as.numeric(lo$V2) - 1
plot(success ~ V1, data=lo)
lines(new.points, pred.points)

eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=T)
str(eq8)
eq8.a <- lm(DIA.ST ~ SPECIES, data=eq8)
anova(eq8.a)
