third <- ifelse(as.numeric(row.names(women)) < 10, "A", "B")
var(women[third=="A",]$height)
var(women[third=="B",]$height)

eq8 <- read.table("http://ashipunov.info/data/eq8.txt", h=T)
str(eq8)
source("http://ashipunov.info/data/normality3.r")
Normality3(eq8[,-1])
aggregate(eq8[,-1], by=list(eq8$SPECIES), function(.x) round(var(.x, na.rm=T)))

oneway.test(women$height ~ third)

hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=T)
str(hwc)
boxplot(WEIGHT ~ COLOR, data=hwc)
aggregate(hwc[,-1], by=list(hwc$COLOR), function(.x) round(var(.x, na.rm=T)))
anova(lm(WEIGHT ~ COLOR, data=hwc))
oneway.test(HEIGHT ~ COLOR, data=hwc)
kruskal.test(HEIGHT ~ COLOR, data=hwc)
kruskal.test(WEIGHT ~ COLOR, data=hwc)

tr <- matrix(c(5:7,9:10,20), nrow=2, byrow=T)
friedman.test(tr)

pairwise.t.test(hwc$WEIGHT, hwc$COLOR)
pairwise.wilcox.test(hwc$WEIGHT, hwc$COLOR)
w.c <- aov(lm(WEIGHT ~ COLOR, data=hwc))
(w.c.hsd <- TukeyHSD(w.c))
plot(w.c.hsd)

boxplot(HEIGHT ~ COLOR, data=hwc)
h.c <- aov(lm(HEIGHT ~ COLOR, data=hwc))
(h.c.hsd <- TukeyHSD(h.c))
plot(h.c.hsd)
pairwise.t.test(hwc$HEIGHT, hwc$COLOR)
