library(MASS)
parcoord(iris[,-5], col=rep(1:3, table(iris[,5])))

library(rgl)
plot3d(iris[,1:3], col=as.numeric(iris[,5]))

iris.pca <- princomp(scale(iris[,1:4]))
plot(iris.pca)
iris.p <- predict(iris.pca)
plot(iris.p[,1:2], type="n", xlab="PC1", ylab="PC2")
text(iris.p[,1:2], labels=abbreviate(iris[,5], 1, method="both.sides"), col=as.numeric(iris[,5]))
loadings(iris.pca)

# install.packages(c("ade4","vegan"))
library(ade4)
iris.dudi <- dudi.pca(iris[,1:4], scannf=F)
s.class(iris.dudi$li, iris[,5])
iris.between <- bca(iris.dudi, iris[,5], scannf=F)
randtest(iris.between)

ca <- read.table("http://ashipunov.info/shipunov/open/carex.txt", h=T)
str(ca)
ca.pca <- princomp(scale(ca[,-1]))
plot(ca.pca)
ca.p <- predict(ca.pca)
plot(ca.p[,1:2], type="n", xlab="PC1", ylab="PC2")
text(ca.p[,1:2], labels=ca[,1], col=ca[,1])

library(cluster)
iris.dist <- daisy(iris[,1:4], metric="manhattan")
iris.c <- cmdscale(iris.dist)
plot(iris.c[,1:2], type="n", xlab="Dim. 1", ylab="Dim. 2")
text(iris.c[,1:2], labels=abbreviate(iris[,5], 1, method="both.sides"), col=as.numeric(iris[,5]))

nd <- read.table("http://ashipunov.info/data/nd.txt", h=T, sep="\t", row.names=1)
nd.d <- as.dist(nd)
nd.c <- cmdscale(nd.d)
plot(nd.c[,1:2], type="n", xlab="Dim. 1", ylab="Dim. 2")
text(nd.c[,1:2], labels=row.names(nd))
plot(hclust(nd.d))

a <- read.table("http://ashipunov.info/data/atmospheres.txt", h=T, sep="\t", row.names=1)
a.d <- dist(t(a))
plot(hclust(a.d))
